GuideLab Docs

Start, pause or resume operator work

POST
/production/tasks/{taskId}/time

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

taskId*string
Length1 <= length <= 200

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/production/tasks/string/time" \  -H "Content-Type: application/json" \  -d '{    "action": "start",    "commandId": "9e2dd63c-3478-489f-86d3-8c292a65a0aa"  }'
{  "entries": [    {      "id": "string",      "memberId": "string",      "startedAt": "string",      "endedAt": "string",      "seconds": 0,      "source": "timer",      "canCorrect": true    }  ],  "canControl": true,  "totalSeconds": 0,  "runningMemberId": "string",  "runningSince": "string",  "estimatedMinutes": 0,  "originalTargetAt": "string",  "plannedStartAt": "string",  "plannedEndAt": "string",  "warning": "string"}
Empty
Empty
Empty